Package jxl.format

# Class Alignment

java.lang.Object
jxl.format.Alignment

Direct Known Subclasses:
  `Alignment`

public class Alignment extends Object
Enumeration class which contains the various alignments for data within a cell

## Field Summary

Fields
Modifier and Type
Field
Description
`static Alignment`
`CENTRE`
Data in cells with this alignment will be centred
`static Alignment`
`FILL`
Data in cells with this alignment will fill the cell
`static Alignment`
`GENERAL`
The standard alignment
`static Alignment`
`JUSTIFY`
Data in cells with this alignment will be justified
`static Alignment`
`LEFT`
Data cells with this alignment will appear at the left hand edge of the cell
`static Alignment`
`RIGHT`
Data in cells with this alignment will be right aligned

## Method Summary

Modifier and Type
Method
Description
`static Alignment`
`getAlignment(int val)`
Gets the alignment from the value
`String`
`getDescription()`
Gets the string description of this alignment
`int`
`getValue()`
Gets the value of this alignment.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GENERAL

public static Alignment GENERAL
The standard alignment

### LEFT

public static Alignment LEFT
Data cells with this alignment will appear at the left hand edge of the cell

### CENTRE

public static Alignment CENTRE
Data in cells with this alignment will be centred

### RIGHT

public static Alignment RIGHT
Data in cells with this alignment will be right aligned

### FILL

public static Alignment FILL
Data in cells with this alignment will fill the cell

### JUSTIFY

public static Alignment JUSTIFY
Data in cells with this alignment will be justified

## Method Details

### getValue

public int getValue()
Gets the value of this alignment. This is the value that is written to the generated Excel file

Returns:
  the binary value

### getDescription

public String getDescription()
Gets the string description of this alignment

Returns:
  the string description

### getAlignment

public static Alignment getAlignment(int val)
Gets the alignment from the value

Parameters:
  `val` -
Returns:
  the alignment with that value